<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-button color="tertiary" [routerLink]="['/home']">Back</ion-button>
        <ion-title>
            Current Weather
        </ion-title>
    </ion-toolbar>
</ion-header>


<ion-content [fullscreen]="true">
    <ion-card color="light">
        <ion-card-content>
            <img src="" alt="">
        <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
    </ion-refresher>

    <div class="center" *ngIf="!isLoading && error == null">
        
        <ion-label>Batangas City, PH</ion-label>
        <h1 style="font-size: 30px;"><b>{{data.temp}} °F</b></h1>
        <img src="{{data.image}}" alt="{{data.weather_description}}">
        
        <h1 style="font-size: 30px;">{{data.weather_main}}</h1>
        <p style="font-size: 24px;"><b>Humidity: 68%</b></p>
        <p style="font-size: 24px;" ><b>Dew point: 76°F</b></p>
        <p style="font-size: 24px;"><b>Visibility:10.0km</b></p>
        
    </div>

    <div *ngIf="isLoading && error == null" class="center">
        <ion-label>
            <h1>
                <ion-skeleton-text animated style="margin: 15px 30% 15px 30%; width: 40%; height: 20px;"></ion-skeleton-text>
            </h1>
        </ion-label>
        <ion-avatar slot="start" text-center>
            <ion-skeleton-text animated style="margin: 0 0 0 225%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
            <h1>
                <ion-skeleton-text animated style="margin: 15px 30% 15px 30%; width: 40%; height: 20px;"></ion-skeleton-text>
            </h1>
        </ion-label>


    </div>

    <div *ngIf="!isLoading && error != null" class="center">
        <ion-label style="margin: 30%">
            <h3>
                {{error}}
            </h3>
        </ion-label>
    </div>
        </ion-card-content>
    </ion-card>
    
    
</ion-content>